using System;
using Server;

namespace Server.Items
{
	public class chickenshooter : CompositeBow
	{
		
		public override int ArtifactRarity{ get{ return 50; } }
                public override int EffectID{ get{ return 0x20D1; } }
                
		public override Type AmmoType{ get{ return typeof( Arrow ); } }
		public override Item Ammo{ get{ return new Arrow(); } }
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }
		public override int DefHitSound{ get{ return 0x6e; } }
		public override int DefMissSound{ get{ return 0x6e; } }

		[Constructable]
		public chickenshooter()
		{
                  Weight = 5.0;
			Name = "Chicken Shooter";
			Hue = 1152;
			Attributes.SpellChanneling = 1;
			AccuracyLevel = WeaponAccuracyLevel.Supremely; 
         	      Quality = WeaponQuality.Exceptional;
			Attributes.AttackChance = 90;
			Layer = Layer.OneHanded;

			
}                      
                
                public override void OnHit( Mobile attacker, Mobile defender )
		{
			if ( attacker.Player && !defender.Player && (defender.Body.IsAnimal || defender.Body.IsMonster) && 0.4 >= Utility.RandomDouble() )
				defender.AddToBackpack( Ammo );

			base.OnHit( attacker, defender );
			
			if ( 0.25 > Utility.RandomDouble() )
			{
				defender.PlaySound( 114 );
				defender.FixedParticles( 0x20D1, 244, 25, 9941, 1153, 0, EffectLayer.Waist );
			}			
		}

		public chickenshooter( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}